Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing
Interface ReferenceSystem

All Superinterfaces:
  IdentifiedObject

All Known Subinterfaces:
  Calendar, Clock, CompoundCRS, CoordinateReferenceSystem, DerivedCRS, EngineeringCRS, GeneralDerivedCRS, GeocentricCRS, GeodeticCRS, GeographicCRS, ImageCRS, OrdinalReferenceSystem, ProjectedCRS, SingleCRS, SpatialReferenceSystemUsingGeographicIdentifier, TemporalCoordinateSystem, TemporalCRS, TemporalReferenceSystem, VerticalCRS

    @UML(identifier="RS_ReferenceSystem",
         specification=ISO_19115)
    public interface ReferenceSystem

extends IdentifiedObject

Description of a spatial and temporal reference system used by a dataset.

Historical note: This interface was initially derived from an ISO 19111 specification published in 2003. Later revisions (in 2005) rely on an interface defined in ISO 19115 instead. The annotations were updated accordingly, but this interface is still defined in the referencing package (instead of metadata), the `getValidArea()` method still named that way and the `getScope()` method still defined here for this historical reason.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  `CoordinateReferenceSystem`

Field Summary
`static String` | `DOMAIN_OF_VALIDITY_KEY` Key for the `"domainOfValidity"` property to be given to the object factory `createFoo(…)` methods.
`static String` | `SCOPE_KEY` Key for the `"scope"` property to be given to the object factory `createFoo(…)` methods.
`static String` | `VALID_AREA_KEY` Deprecated. Renamed as `DOMAIN_OF_VALIDITY_KEY`.

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`Extent` | `getDomainOfValidity()` Area or region or timeframe in which this (coordinate) reference system is valid.
`InternationalString` | `getScope()` Description of domain of usage, or limitations of usage, for which this (coordinate) reference system object is valid.
`Extent` | `getValidArea()` Deprecated. Renamed as `getDomainOfValidity()`.

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Field Detail

### DOMAIN_OF_VALIDITY_KEY

    static final String DOMAIN_OF_VALIDITY_KEY

  Key for the `"domainOfValidity"` property to be given to the object factory `createFoo(…)` methods. This is used for setting the value to be returned by `getDomainOfValidity()`.

  Since:
    GeoAPI 2.1
  See Also:
    `getDomainOfValidity()`, Constant Field Values

### VALID_AREA_KEY

    static final String VALID_AREA_KEY

  Deprecated. Renamed as `DOMAIN_OF_VALIDITY_KEY`.
  Key for the `"domainOfValidity"` property to be given to the object factory `createFoo(…)` methods. This is used for setting the value to be returned by `getValidArea()`.

  See Also:
    `getValidArea()`, Constant Field Values

### SCOPE_KEY

    static final String SCOPE_KEY

  Key for the `"scope"` property to be given to the object factory `createFoo(…)` methods. This is used for setting the value to be returned by `getScope()`.

  See Also:
    `getScope()`, Constant Field Values

Method Detail

### getDomainOfValidity

    @UML(identifier="domainOfValidity",
         obligation=OPTIONAL,
         specification=ISO_19111)
    Extent getDomainOfValidity()

  Area or region or timeframe in which this (coordinate) reference system is valid.

  Returns:
    The reference system valid domain, or `null` if not available.
  Since:
    GeoAPI 2.1

### getValidArea

    @UML(identifier="domainOfValidity",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Extent getValidArea()

  Deprecated. Renamed as `getDomainOfValidity()`.

  Area for which the (coordinate) reference system is valid.

  Returns:
    Coordinate reference system valid area, or `null` if not available.

### getScope

    @UML(identifier="SC_CRS.scope",
         obligation=OPTIONAL,
         specification=ISO_19111)
    InternationalString getScope()

  Description of domain of usage, or limitations of usage, for which this (coordinate) reference system object is valid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.